package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.Scheme;

/**
 * 方案表 服务层
 *
 * @author ruoyi
 */
public interface ISchemeService
{
    /**
     * 查询方案集合
     *
     * @param scheme 方案信息
     * @return 方案集合
     */
    public List<Scheme> selectSchemeList(Scheme scheme);

    /**
     * 分页查询方案集合
     *
     * @param scheme 方案信息
     * @return 分页数据
     */
    public TableDataInfo selectSchemeListByPage(Scheme scheme, Integer pageNum, Integer pageSize);

    /**
     * 根据ID查询方案信息
     *
     * @param id 主键ID
     * @return 方案信息
     */
    public Scheme selectSchemeById(Long id);
    public Scheme selectSchemeschemeid(String schemeId);
    /**
     * 新增方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    public int insertScheme(Scheme scheme);

    /**
     * 修改方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    public int updateScheme(Scheme scheme);

    /**
     * 删除方案信息
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deleteSchemeById(Long id);

    /**
     * 批量删除方案信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteSchemeByIds(Long[] ids);
}